## libkgapi 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.24.5")

set(KGAPI_LIB_VERSION ${PIM_VERSION})

project(kgapi VERSION ${KGAPI_LIB_VERSION})

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# ECM setup
set(KF_MIN_VERSION "5.105.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

include(ECMPoQmTools)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMAddQch)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
option(BUILD_SASL_PLUGIN "Build the SASL plugin (only disable this for co-installability)" ON)


set(CMAKE_AUTOMOC_MACRO_NAMES "Q_OBJECT" "Q_GADGET" "Q_NAMESPACE" "Q_NAMESPACE_EXPORT")


############## Find Packages ##############
set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_MIN_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()
find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS
    Core
    Network
    Widgets
    Xml
)

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Wallet
)

find_package(KF${KF_MAJOR_VERSION}CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)

if(BUILD_SASL_PLUGIN)
    find_package(Sasl2)
    set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)
endif()

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KGAPI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kgapi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}GAPIConfigVersion.cmake"
    SOVERSION 5
)


ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.105.0)


option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


############## Targets ##############
add_subdirectory(src)
if (KGAPI_BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

############## CMake Config Files ##############
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim${KF_MAJOR_VERSION}GAPI")
set(KGAPI_KF5_COMPAT FALSE)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim${KF_MAJOR_VERSION}GAPIBlogger_QCH KPim${KF_MAJOR_VERSION}GAPICalendar_QCH
        KPim${KF_MAJOR_VERSION}GAPICore_QCH KPim${KF_MAJOR_VERSION}GAPIDrive_QCH
        KPim${KF_MAJOR_VERSION}GAPILatitude_QCH KPim${KF_MAJOR_VERSION}GAPIPeople_QCH
        KPim${KF_MAJOR_VERSION}GAPIMaps_QCH KPim${KF_MAJOR_VERSION}GAPITasks_QCH
        FILE KPim${KF_MAJOR_VERSION}GAPIQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim${KF_MAJOR_VERSION}GAPIQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimGAPIConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}GAPIConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}GAPIConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}GAPIConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KPim${KF_MAJOR_VERSION}GAPITargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim${KF_MAJOR_VERSION}GAPITargets.cmake
    NAMESPACE KPim${KF_MAJOR_VERSION}::
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/kgapi_version.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI"
    COMPONENT Devel
)



#if (QT_MAJOR_VERSION STREQUAL "5")
##
# TODO: Backwards compatiblity. Remove in next major version
##
set(CMAKECONFIG_INSTALL_DIR_KF5 "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPimGAPI")
set(KGAPI_KF5_COMPAT TRUE)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimGAPIConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimGAPIConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR_KF5}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPimGAPIConfig.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    COMPONENT Devel
)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}GAPIConfigVersion.cmake"
    RENAME "KPimGAPIConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    COMPONENT Devel
)
install(EXPORT KPim${KF_MAJOR_VERSION}GAPITargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
    FILE KPim${KF_MAJOR_VERSION}GAPITargets.cmake
    NAMESPACE KPim::
)

if (BUILD_QCH)
    install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}GAPIQchTargets.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR_KF5}"
        COMPONENT Devel
    )
endif()
#endif()

ecm_qt_install_logging_categories(
        EXPORT LIBKGAPI
        FILE libkgapi.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )


ecm_install_po_files_as_qm(poqm)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION}Test CONFIG REQUIRED)

set(kgapitest_SRCS
    fakeaccountstorage.cpp
    fakeauthbrowser.cpp
    fakenetworkreply.cpp
    fakenetworkaccessmanager.cpp
    fakenetworkaccessmanagerfactory.cpp
    testutils.cpp
    fakeaccountstorage.h
    fakeauthbrowser.h
    fakenetworkreply.h
    fakenetworkaccessmanager.h
    fakenetworkaccessmanagerfactory.h
    testutils.h
)


if (NOT WIN32)
# Silence deprecation warnings for deprecated APIs tests.
set_source_files_properties(
    drive/teamdrivecreatejobtest.cpp
    drive/teamdrivedeletejobtest.cpp
    drive/teamdrivefetchjobtest.cpp
    drive/teamdrivemodifyjobtest.cpp
    drive/drivetestutils.h

    PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations
)
endif()

add_library(kgapitest STATIC ${kgapitest_SRCS})
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kgapitest PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(kgapitest Qt::Core Qt::Network Qt::Gui Qt::Test KPim${KF_MAJOR_VERSION}GAPICore)



macro(add_libkgapi2_test _module _testname)
    set(_extraLibs ${ARGN})
    set(testSources ${_module}/${_testname}.cpp)
    string(SUBSTRING ${_module} 0 1 moduleFirst)
    string(SUBSTRING ${_module} 1 -1 moduleLast)
    string(TOUPPER ${moduleFirst} moduleFirst)
    string(CONCAT moduleName ${moduleFirst} ${moduleLast})
    set(extraLibs "${_extraLibs};KPim${KF_MAJOR_VERSION}GAPI${moduleName}")
    set(utilsFile ${CMAKE_CURRENT_SOURCE_DIR}/${_module}/${_module}testutils.cpp)
    if (EXISTS ${utilsFile})
        list(APPEND testSources ${utilsFile})
    endif()
    ecm_add_test(${testSources}
        LINK_LIBRARIES kgapitest KPim${KF_MAJOR_VERSION}GAPICore ${extraLibs}
        TEST_NAME ${_testname}
        NAME_PREFIX ${_module}-
    )
endmacro(add_libkgapi2_test)

ecm_add_test(fakenamtest.cpp LINK_LIBRARIES kgapitest KPim${KF_MAJOR_VERSION}GAPICore TEST_NAME fakenamtest NAME_PREFIX fake-)

add_libkgapi2_test(core accountinfofetchjobtest)
add_libkgapi2_test(core accountmanagertest)
add_libkgapi2_test(core createjobtest)
add_libkgapi2_test(core fetchjobtest)

add_libkgapi2_test(calendar calendarcreatejobtest)
add_libkgapi2_test(calendar calendardeletejobtest)
add_libkgapi2_test(calendar calendarfetchjobtest)
add_libkgapi2_test(calendar calendarmodifyjobtest)
add_libkgapi2_test(calendar eventcreatejobtest)
add_libkgapi2_test(calendar eventdeletejobtest)
add_libkgapi2_test(calendar eventfetchjobtest)
add_libkgapi2_test(calendar eventmodifyjobtest)
add_libkgapi2_test(calendar freebusyqueryjobtest)

add_libkgapi2_test(tasks taskcreatejobtest)
add_libkgapi2_test(tasks taskdeletejobtest)
add_libkgapi2_test(tasks taskfetchjobtest)
add_libkgapi2_test(tasks taskmodifyjobtest)
add_libkgapi2_test(tasks taskmovejobtest)
add_libkgapi2_test(tasks tasklistcreatejobtest)
add_libkgapi2_test(tasks tasklistdeletejobtest)
add_libkgapi2_test(tasks tasklistfetchjobtest)
add_libkgapi2_test(tasks tasklistmodifyjobtest)

add_libkgapi2_test(drive aboutfetchjobtest)
add_libkgapi2_test(drive changefetchjobtest)
add_libkgapi2_test(drive filecopyjobtest Qt::Gui)
add_libkgapi2_test(drive filecreatejobtest Qt::Gui)
add_libkgapi2_test(drive filesearchquerytest)
add_libkgapi2_test(drive drivescreatejobtest)
add_libkgapi2_test(drive drivesdeletejobtest)
add_libkgapi2_test(drive drivesmodifyjobtest)
add_libkgapi2_test(drive driveshidejobtest)
add_libkgapi2_test(drive drivesfetchjobtest)
add_libkgapi2_test(drive drivessearchquerytest)
add_libkgapi2_test(drive teamdrivecreatejobtest)
add_libkgapi2_test(drive teamdrivedeletejobtest)
add_libkgapi2_test(drive teamdrivemodifyjobtest)
add_libkgapi2_test(drive teamdrivefetchjobtest)
add_libkgapi2_test(drive teamdrivesearchquerytest)

add_libkgapi2_test(people contactgroupcreatejobtest)
add_libkgapi2_test(people contactgroupdeletejobtest)
add_libkgapi2_test(people contactgroupfetchjobtest)
add_libkgapi2_test(people contactgroupmodifyjobtest)
add_libkgapi2_test(people personcreatejobtest)
add_libkgapi2_test(people persondeletejobtest)
add_libkgapi2_test(people personfetchjobtest)
add_libkgapi2_test(people personmodifyjobtest)
add_libkgapi2_test(people personphotoupdatejobtest)
add_libkgapi2_test(people personphotodeletejobtest)

=== src/CMakeLists.txt ===
set(libkgapi_debug_SRCS)
ecm_qt_declare_logging_category(libkgapi_debug_SRCS HEADER debug.h IDENTIFIER KGAPIDebug CATEGORY_NAME org.kde.kgapi DESCRIPTION "libkgapi (General debug)" EXPORT LIBKGAPI)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/)

add_subdirectory(blogger)
add_subdirectory(calendar)
add_subdirectory(core)
add_subdirectory(drive)
add_subdirectory(latitude)
add_subdirectory(people)
add_subdirectory(staticmaps)
add_subdirectory(tasks)

if (NOT WIN32 AND BUILD_SASL_PLUGIN)
    add_subdirectory(saslplugin)
endif()

=== examples/contacts/CMakeLists.txt ===
add_executable(contacts-example)

target_sources(contacts-example PRIVATE
    main.cpp
    mainwindow.cpp mainwindow.h
    mainwindow.ui
)

target_link_libraries(contacts-example
        KF${KF_MAJOR_VERSION}::Contacts
        Qt::Widgets
        KPim${KF_MAJOR_VERSION}GAPICore
        KPim${KF_MAJOR_VERSION}GAPIContacts
)

=== examples/files/CMakeLists.txt ===
add_executable(files-example)

target_sources(files-example PRIVATE
    main.cpp
    mainwindow.cpp mainwindow.h
    mainwindow.ui
)

target_link_libraries(files-example
        Qt::Widgets
        Qt::Core
        KPim${KF_MAJOR_VERSION}GAPICore
        KPim${KF_MAJOR_VERSION}GAPIDrive
)

=== src/calendar/CMakeLists.txt ===
add_library(KPim${KF_MAJOR_VERSION}GAPICalendar)
add_library(KPim${KF_MAJOR_VERSION}::GAPICalendar ALIAS KPim${KF_MAJOR_VERSION}GAPICalendar)


target_sources(KPim${KF_MAJOR_VERSION}GAPICalendar PRIVATE
    ${libkgapi_debug_SRCS}
    calendar.cpp
    calendarcreatejob.cpp
    calendarcreatejob.h
    calendardeletejob.cpp
    calendardeletejob.h
    calendarfetchjob.cpp
    calendarfetchjob.h
    calendar.h
    calendarmodifyjob.cpp
    calendarmodifyjob.h
    calendarservice.cpp
    calendarservice.h
    enums.h
    event.cpp
    eventcreatejob.cpp
    eventcreatejob.h
    eventdeletejob.cpp
    eventdeletejob.h
    eventfetchjob.cpp
    eventfetchjob.h
    event.h
    eventmodifyjob.cpp
    eventmodifyjob.h
    eventmovejob.cpp
    eventmovejob.h
    freebusyqueryjob.cpp
    freebusyqueryjob.h
    reminder.cpp
    reminder.h
)

ecm_generate_headers(kgapicalendar_CamelCase_HEADERS
    HEADER_NAMES
    Calendar
    CalendarCreateJob
    CalendarDeleteJob
    CalendarFetchJob
    CalendarModifyJob
    Enums
    Event
    EventCreateJob
    EventDeleteJob
    EventFetchJob
    EventModifyJob
    EventMoveJob
    Reminder
    FreeBusyQueryJob
    PREFIX KGAPI/Calendar
    REQUIRED_HEADERS kgapicalendar_HEADERS
)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim${KF_MAJOR_VERSION}GAPICalendar PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KPim${KF_MAJOR_VERSION}GAPICalendar BASE_NAME kgapicalendar)


target_include_directories(KPim${KF_MAJOR_VERSION}GAPICalendar INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI>")

target_link_libraries(KPim${KF_MAJOR_VERSION}GAPICalendar
PUBLIC
    KPim${KF_MAJOR_VERSION}::GAPICore
    KF${KF_MAJOR_VERSION}::CalendarCore
    Qt::Gui
PRIVATE
    Qt::Network
)

set_target_properties(KPim${KF_MAJOR_VERSION}GAPICalendar PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPICalendar
)

install(TARGETS
    KPim${KF_MAJOR_VERSION}GAPICalendar
    EXPORT KPim${KF_MAJOR_VERSION}GAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapicalendar_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI/KGAPI/Calendar"
    COMPONENT Devel
)

install(FILES
    ${kgapicalendar_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapicalendar_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI/kgapi/calendar"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPICalendar
    LIB_NAME KPim${KF_MAJOR_VERSION}GAPICalendar
    DEPS "GAPICore CalendarCore"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

if (BUILD_QCH)
    ecm_add_qch(
        KPim${KF_MAJOR_VERSION}GAPICalendar_QCH
        NAME KPim${KF_MAJOR_VERSION}GAPICalendar
        BASE_NAME KPim${KF_MAJOR_VERSION}GAPICalendar
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${kgapicalendar_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KGAPICALENDAR_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/core/CMakeLists.txt ===
ecm_create_qm_loader(QM_LOADER libkgapi_qt)
add_library(KPim${KF_MAJOR_VERSION}GAPICore)
add_library(KPim${KF_MAJOR_VERSION}::GAPICore ALIAS KPim${KF_MAJOR_VERSION}GAPICore)

target_sources(KPim${KF_MAJOR_VERSION}GAPICore PRIVATE
    ${libkgapi_debug_SRCS}
    account.cpp
    account.h
    accountinfo/accountinfo.cpp
    accountinfo/accountinfofetchjob.cpp
    accountinfo/accountinfofetchjob.h
    accountinfo/accountinfo.h
    accountmanager.cpp
    accountmanager.h
    accountstorage.cpp
    accountstorage_kwallet.cpp
    accountstorage_kwallet_p.h
    accountstorage_p.h
    authjob.cpp
    authjob.h
    createjob.cpp
    createjob.h
    deletejob.cpp
    deletejob.h
    fetchjob.cpp
    fetchjob.h
    job.cpp
    job.h
    job_p.h
    modifyjob.cpp
    modifyjob.h
    networkaccessmanagerfactory.cpp
    networkaccessmanagerfactory_p.h
    object.cpp
    object.h
    private/fullauthenticationjob.cpp
    private/fullauthenticationjob_p.h
    private/newtokensfetchjob.cpp
    private/newtokensfetchjob_p.h
    private/queuehelper_p.h
    private/refreshtokensjob.cpp
    private/refreshtokensjob_p.h
    types.h
    utils.cpp
    utils.h
    utils_p.h
    ${QM_LOADER}
)

ecm_generate_headers(kgapicore_base_CamelCase_HEADERS
    HEADER_NAMES
    Account
    AccountManager
    AuthJob
    CreateJob
    DeleteJob
    FetchJob
    Job
    ModifyJob
    Object
    Types
    Utils
    PREFIX KGAPI
    REQUIRED_HEADERS kgapicore_base_HEADERS
)

ecm_generate_headers(kgapicore_accountinfo_CamelCase_HEADERS
    HEADER_NAMES
    AccountInfo
    AccountInfoFetchJob
    REQUIRED_HEADERS kgapicore_accountinfo_HEADERS
    RELATIVE accountinfo
)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim${KF_MAJOR_VERSION}GAPICore PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPim${KF_MAJOR_VERSION}GAPICore BASE_NAME kgapicore)


target_include_directories(KPim${KF_MAJOR_VERSION}GAPICore
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI;${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI/kgapi>"
    INTERFACE "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>"
)

target_link_libraries(KPim${KF_MAJOR_VERSION}GAPICore
PUBLIC
    Qt::Core
PRIVATE
    Qt::Network
    KF${KF_MAJOR_VERSION}::Wallet
)

set_target_properties(KPim${KF_MAJOR_VERSION}GAPICore PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPICore
)

install(TARGETS
    KPim${KF_MAJOR_VERSION}GAPICore
    EXPORT KPim${KF_MAJOR_VERSION}GAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapicore_base_CamelCase_HEADERS}
    ${kgapicore_accountinfo_CamelCase_HEADERS}
    ${kgapicore_ui_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI/KGAPI"
    COMPONENT Devel
)

install(FILES
    ${kgapicore_base_HEADERS}
    ${kgapicore_accountinfo_HEADERS}
    ${kgapicore_ui_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapicore_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI/kgapi"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPICore
    LIB_NAME KPim${KF_MAJOR_VERSION}GAPICore
    DEPS "core network"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

if (BUILD_QCH)
    ecm_add_qch(
        KPim${KF_MAJOR_VERSION}GAPICore_QCH
        NAME KPim${KF_MAJOR_VERSION}GAPICore
        BASE_NAME KPim${KF_MAJOR_VERSION}GAPICore
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${kgapicore_base_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KGAPICORE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/drive/CMakeLists.txt ===
add_library(KPim${KF_MAJOR_VERSION}GAPIDrive)
add_library(KPim${KF_MAJOR_VERSION}::GAPIDrive ALIAS KPim${KF_MAJOR_VERSION}GAPIDrive)


target_sources(KPim${KF_MAJOR_VERSION}GAPIDrive PRIVATE
    ${libkgapi_debug_SRCS}
    about.cpp
    aboutfetchjob.cpp
    aboutfetchjob.h
    about.h
    app.cpp
    appfetchjob.cpp
    appfetchjob.h
    app.h
    change.cpp
    changefetchjob.cpp
    changefetchjob.h
    change.h
    childreference.cpp
    childreferencecreatejob.cpp
    childreferencecreatejob.h
    childreferencedeletejob.cpp
    childreferencedeletejob.h
    childreferencefetchjob.cpp
    childreferencefetchjob.h
    childreference.h
    drives.cpp
    drivescreatejob.cpp
    drivescreatejob.h
    drivesdeletejob.cpp
    drivesdeletejob.h
    driveservice.cpp
    driveservice.h
    drivesfetchjob.cpp
    drivesfetchjob.h
    drives.h
    driveshidejob.cpp
    driveshidejob.h
    drivesmodifyjob.cpp
    drivesmodifyjob.h
    drivessearchquery.cpp
    drivessearchquery.h
    fileabstractdatajob.cpp
    fileabstractdatajob.h
    fileabstractmodifyjob.cpp
    fileabstractmodifyjob.h
    fileabstractresumablejob.cpp
    fileabstractresumablejob.h
    fileabstractuploadjob.cpp
    fileabstractuploadjob.h
    filecopyjob.cpp
    filecopyjob.h
    file.cpp
    filecreatejob.cpp
    filecreatejob.h
    filedeletejob.cpp
    filedeletejob.h
    filefetchcontentjob.cpp
    filefetchcontentjob.h
    filefetchjob.cpp
    filefetchjob.h
    file.h
    filemodifyjob.cpp
    filemodifyjob.h
    file_p.h
    fileresumablecreatejob.cpp
    fileresumablecreatejob.h
    fileresumablemodifyjob.cpp
    fileresumablemodifyjob.h
    filesearchquery.cpp
    filesearchquery.h
    filetouchjob.cpp
    filetouchjob.h
    filetrashjob.cpp
    filetrashjob.h
    fileuntrashjob.cpp
    fileuntrashjob.h
    parentreference.cpp
    parentreferencecreatejob.cpp
    parentreferencecreatejob.h
    parentreferencedeletejob.cpp
    parentreferencedeletejob.h
    parentreferencefetchjob.cpp
    parentreferencefetchjob.h
    parentreference.h
    parentreference_p.h
    permission.cpp
    permissioncreatejob.cpp
    permissioncreatejob.h
    permissiondeletejob.cpp
    permissiondeletejob.h
    permissionfetchjob.cpp
    permissionfetchjob.h
    permission.h
    permissionmodifyjob.cpp
    permissionmodifyjob.h
    permission_p.h
    revision.cpp
    revisiondeletejob.cpp
    revisiondeletejob.h
    revisionfetchjob.cpp
    revisionfetchjob.h
    revision.h
    revisionmodifyjob.cpp
    revisionmodifyjob.h
    searchquery.cpp
    searchquery.h
    teamdrive.cpp
    teamdrivecreatejob.cpp
    teamdrivecreatejob.h
    teamdrivedeletejob.cpp
    teamdrivedeletejob.h
    teamdrivefetchjob.cpp
    teamdrivefetchjob.h
    teamdrive.h
    teamdrivemodifyjob.cpp
    teamdrivemodifyjob.h
    teamdrivesearchquery.cpp
    teamdrivesearchquery.h
    user.cpp
    user.h
)

ecm_generate_headers(kgapidrive_CamelCase_HEADERS
    HEADER_NAMES
    About
    AboutFetchJob
    App
    AppFetchJob
    Change
    ChangeFetchJob
    ChildReference
    ChildReferenceCreateJob
    ChildReferenceDeleteJob
    ChildReferenceFetchJob
    SearchQuery
    File
    FileAbstractDataJob
    FileAbstractModifyJob
    FileAbstractUploadJob
    FileAbstractResumableJob
    FileCopyJob
    FileCreateJob
    FileDeleteJob
    FileFetchContentJob
    FileFetchJob
    FileModifyJob
    FileResumableCreateJob
    FileResumableModifyJob
    FileSearchQuery
    FileTouchJob
    FileTrashJob
    FileUntrashJob
    ParentReference
    ParentReferenceCreateJob
    ParentReferenceDeleteJob
    ParentReferenceFetchJob
    Permission
    PermissionCreateJob
    PermissionDeleteJob
    PermissionFetchJob
    PermissionModifyJob
    Revision
    RevisionDeleteJob
    RevisionFetchJob
    RevisionModifyJob
    Drives
    DrivesCreateJob
    DrivesDeleteJob
    DrivesFetchJob
    DrivesModifyJob
    DrivesHideJob
    DrivesSearchQuery
    Teamdrive
    TeamdriveCreateJob
    TeamdriveDeleteJob
    TeamdriveFetchJob
    TeamdriveModifyJob
    TeamdriveSearchQuery
    User
    PREFIX KGAPI/Drive
    REQUIRED_HEADERS kgapidrive_HEADERS
)
#Disable for the moment
#if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
#    set_target_properties(KPimGAPIDrive PROPERTIES UNITY_BUILD ON)
#endif()

generate_export_header(KPim${KF_MAJOR_VERSION}GAPIDrive BASE_NAME kgapidrive)

target_include_directories(KPim${KF_MAJOR_VERSION}GAPIDrive
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI>"
    INTERFACE "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>"
)

target_link_libraries(KPim${KF_MAJOR_VERSION}GAPIDrive
PUBLIC
    KPim${KF_MAJOR_VERSION}::GAPICore
    Qt::Gui
PRIVATE
    Qt::Network
)

set_target_properties(KPim${KF_MAJOR_VERSION}GAPIDrive PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPIDrive
)

install(TARGETS
    KPim${KF_MAJOR_VERSION}GAPIDrive
    EXPORT KPim${KF_MAJOR_VERSION}GAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapidrive_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI/KGAPI/Drive"
    COMPONENT Devel
)

install(FILES
    ${kgapidrive_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapidrive_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI/kgapi/drive"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPIDrive
    LIB_NAME KPim${KF_MAJOR_VERSION}GAPIDrive
    DEPS "GAPICore"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

if (BUILD_QCH)
    ecm_add_qch(
        KPim${KF_MAJOR_VERSION}GAPIDrive_QCH
        NAME KPim${KF_MAJOR_VERSION}GAPIDrive
        BASE_NAME KPim${KF_MAJOR_VERSION}GAPIDrive
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${kgapidrive_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KGAPIDRIVE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/people/CMakeLists.txt ===
add_library(KPim${KF_MAJOR_VERSION}GAPIPeople)
add_library(KPim${KF_MAJOR_VERSION}::GAPIPeople ALIAS KPim${KF_MAJOR_VERSION}GAPIPeople)

target_sources(KPim${KF_MAJOR_VERSION}GAPIPeople PRIVATE
    address.cpp
    address.h
    agerangetype.cpp
    agerangetype.h
    biography.cpp
    biography.h
    birthday.cpp
    birthday.h
    braggingrights.cpp
    braggingrights.h
    calendarurl.cpp
    calendarurl.h
    clientdata.cpp
    clientdata.h
    contactgroup.cpp
    contactgroup.h
    contactgroupcreatejob.cpp
    contactgroupcreatejob.h
    contactgroupdeletejob.cpp
    contactgroupdeletejob.h
    contactgroupfetchjob.cpp
    contactgroupfetchjob.h
    contactgroupmembership.cpp
    contactgroupmembership.h
    contactgroupmetadata.cpp
    contactgroupmetadata.h
    contactgroupmodifyjob.cpp
    contactgroupmodifyjob.h
    coverphoto.cpp
    coverphoto.h
    domainmembership.cpp
    domainmembership.h
    emailaddress.cpp
    emailaddress.h
    event.cpp
    event.h
    externalid.cpp
    externalid.h
    fieldmetadata.cpp
    fieldmetadata.h
    fileas.cpp
    fileas.h
    gender.cpp
    gender.h
    groupclientdata.cpp
    groupclientdata.h
    imclient.cpp
    imclient.h
    interest.cpp
    interest.h
    location.cpp
    location.h
    membership.cpp
    membership.h
    misckeyword.cpp
    misckeyword.h
    name.cpp
    name.h
    nickname.cpp
    nickname.h
    occupation.cpp
    occupation.h
    organization.cpp
    organization.h
    person.cpp
    person.h
    personcreatejob.cpp
    personcreatejob.h
    persondeletejob.cpp
    persondeletejob.h
    personfetchjob.cpp
    personfetchjob.h
    personlocale.cpp
    personlocale.h
    personmetadata.cpp
    personmetadata.h
    personmodifyjob.cpp
    personmodifyjob.h
    personphotodeletejob.cpp
    personphotodeletejob.h
    personphotoupdatejob.cpp
    personphotoupdatejob.h
    peopleservice.cpp
    peopleservice.h
    phonenumber.cpp
    phonenumber.h
    photo.cpp
    photo.h
    profilemetadata.cpp
    profilemetadata.h
    relation.cpp
    relation.h
    relationshipinterest.cpp
    relationshipinterest.h
    relationshipstatus.cpp
    relationshipstatus.h
    residence.cpp
    residence.h
    sipaddress.cpp
    sipaddress.h
    skill.cpp
    skill.h
    source.cpp
    source.h
    tagline.cpp
    tagline.h
    url.cpp
    url.h
    userdefined.cpp
    userdefined.h
    ../debug.cpp
)

ecm_generate_headers(
    kgapipeople_CamelCase_HEADERS
    HEADER_NAMES
    Address,
    AgeRangeType,
    Biography
    Birthday
    BraggingRights
    CalendarUrl
    ClientData
    ContactGroup
    ContactGroupCreateJob
    ContactGroupDeleteJob
    ContactGroupFetchJob
    ContactGroupMembership
    ContactGroupMetadata
    ContactGroupModifyJob
    CoverPhoto
    DomainMembership
    EmailAddress
    Event
    ExternalId
    FieldMetadata
    FileAs
    Gender
    GroupClientData
    IMClient
    Interest
    Location
    Membership
    MiscKeyword
    Name
    Nickname
    Occupation
    Organization
    Person
    PersonCreateJob
    PersonDeleteJob
    PersonFetchJob
    PersonLocale
    PersonMetadata
    PersonModifyJob
    PersonPhotoDeleteJob
    PersonPhotoUpdateJob
    PhoneNumber
    Photo
    ProfileMetadata
    Relation
    RelationshipInterest
    RelationshipStatus
    Residence
    SIPAddress
    Skill
    Source
    Tagline
    Url
    UserDefined
    PREFIX KGAPI/People
    REQUIRED_HEADERS kgapipeople_HEADERS
)

generate_export_header(KPim${KF_MAJOR_VERSION}GAPIPeople BASE_NAME kgapipeople)

target_include_directories(KPim${KF_MAJOR_VERSION}GAPIPeople
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI>"
    INTERFACE "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>"
)

target_link_libraries(KPim${KF_MAJOR_VERSION}GAPIPeople
PUBLIC
    KPim${KF_MAJOR_VERSION}::GAPICore
    KF${KF_MAJOR_VERSION}::Contacts
PRIVATE
    Qt::Network
)

set_target_properties(KPim${KF_MAJOR_VERSION}GAPIPeople PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPIPeople
)

install(TARGETS
    KPim${KF_MAJOR_VERSION}GAPIPeople
    EXPORT KPim${KF_MAJOR_VERSION}GAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapipeople_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI/KGAPI/People"
    COMPONENT Devel
)

install(FILES
    ${kgapipeople_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapipeople_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI/kgapi/people"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPIPeople
    LIB_NAME KPim${KF_MAJOR_VERSION}GAPIPeople
    DEPS "KPim${KF_MAJOR_VERSION}::GAPICore KF${KF_MAJOR_VERSION}::Contacts"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

if (BUILD_QCH)
    ecm_add_qch(
        KPim${KF_MAJOR_VERSION}GAPIPeople_QCH
        NAME KPim${KF_MAJOR_VERSION}GAPIPeople
        BASE_NAME KPim${KF_MAJOR_VERSION}GAPIPeople
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${kgapipeople_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KGAPIPEOPLE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/tasks/CMakeLists.txt ===
add_library(KPim${KF_MAJOR_VERSION}GAPITasks)
add_library(KPim${KF_MAJOR_VERSION}::GAPITasks ALIAS KPim${KF_MAJOR_VERSION}GAPITasks)


target_sources(KPim${KF_MAJOR_VERSION}GAPITasks PRIVATE
    ${libkgapi_debug_SRCS}
    task.cpp
    taskcreatejob.cpp
    taskcreatejob.h
    taskdeletejob.cpp
    taskdeletejob.h
    taskfetchjob.cpp
    taskfetchjob.h
    task.h
    tasklist.cpp
    tasklistcreatejob.cpp
    tasklistcreatejob.h
    tasklistdeletejob.cpp
    tasklistdeletejob.h
    tasklistfetchjob.cpp
    tasklistfetchjob.h
    tasklist.h
    tasklistmodifyjob.cpp
    tasklistmodifyjob.h
    taskmodifyjob.cpp
    taskmodifyjob.h
    taskmovejob.cpp
    taskmovejob.h
    tasksservice.cpp
    tasksservice.h
)

ecm_generate_headers(kgapitasks_CamelCase_HEADERS
    HEADER_NAMES
    Task
    TaskCreateJob
    TaskDeleteJob
    TaskFetchJob
    TaskList
    TaskListCreateJob
    TaskListDeleteJob
    TaskListFetchJob
    TaskListModifyJob
    TaskModifyJob
    TaskMoveJob
    PREFIX KGAPI/Tasks
    REQUIRED_HEADERS kgapitasks_HEADERS
)


if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim${KF_MAJOR_VERSION}GAPITasks PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPim${KF_MAJOR_VERSION}GAPITasks BASE_NAME kgapitasks)

target_include_directories(KPim${KF_MAJOR_VERSION}GAPITasks
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI>"
    INTERFACE "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>"
)

target_link_libraries(KPim${KF_MAJOR_VERSION}GAPITasks
PUBLIC
    KPim${KF_MAJOR_VERSION}::GAPICore
    KF${KF_MAJOR_VERSION}::CalendarCore
PRIVATE
    Qt::Network
)

set_target_properties(KPim${KF_MAJOR_VERSION}GAPITasks PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPITasks
)

install(TARGETS
    KPim${KF_MAJOR_VERSION}GAPITasks
    EXPORT KPim${KF_MAJOR_VERSION}GAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapitasks_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI/KGAPI/Tasks"
    COMPONENT Devel
)

install(FILES
    ${kgapitasks_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapitasks_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI/kgapi/tasks"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPITasks
    LIB_NAME KPim${KF_MAJOR_VERSION}GAPITasks
    DEPS "GAPICore CalendarCore"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

if (BUILD_QCH)
    ecm_add_qch(
        KPim${KF_MAJOR_VERSION}GAPITasks_QCH
        NAME KPim${KF_MAJOR_VERSION}GAPITasks
        BASE_NAME KPim${KF_MAJOR_VERSION}GAPITasks
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${kgapitasks_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KGAPITASKS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
libkgapi (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:05:26 +0000

libkgapi (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:38:02 +0000

libkgapi (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:23:39 -0700

=== debian/control ===
Source: libkgapi
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.28.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5wallet-dev,
               libkf5windowsystem-dev (>= 5.28.0~),
               libqt5webchannel5-dev,
               libqt5webkit5-dev (>= 5.2.0~),
               libsasl2-dev,
               libssl-dev,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev (>= 5.6.0~),
               qtpositioning5-dev,
               qttools5-dev (>= 5.6.0~),
               qttools5-dev-tools (>= 5.6.0~),
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/libkgapi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi

Package: libkf5gapi-data
Architecture: any
Depends: libkpim5gapi-data, ${misc:Depends}, ${shlibs:Depends}
Section: oldlibs
Priority: optional
Description: Google API library for KDE -- transitional
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This is a transitional package which can be safely removed.

Package: libkpim5gapi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: libkf5gapi-data (<< 16.12)
Breaks: ${kde-l10n:all}
Replaces: libkf5gapi-data (<< 16.12),
          libkpimgapi-data,
          ${kde-l10n:all},
Description: Google API library for KDE -- data files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains data files.

Package: libkpimgapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5contacts-dev (>= 4:19.08.3~),
         libkf5coreaddons-dev (>= 5.12.0~),
         libkpim5gapiblogger5 (= ${binary:Version}),
         libkpim5gapicalendar5 (= ${binary:Version}),
         libkpim5gapicore5 (= ${binary:Version}),
         libkpim5gapidrive5 (= ${binary:Version}),
         libkpim5gapilatitude5 (= ${binary:Version}),
         libkpim5gapimaps5 (= ${binary:Version}),
         libkpim5gapipeople5 (= ${binary:Version}),
         libkpim5gapitasks5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkpim5gapiblogger5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Blogger service API
 This package is part of libkgapi.

Package: libkpim5gapicalendar5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Calendar service API
 This package is part of libkgapi.

Package: libkpim5gapipeople5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Contacts service API
 This package is part of libkgapi.

Package: libkpim5gapicore5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: core library to integrate with Google service APIs
 This package is part of libkgapi.

Package: libkpim5gapidrive5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Drive service API
 This package is part of libkgapi.

Package: libkpim5gapilatitude5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Latitude service API
 This package is part of libkgapi.

Package: libkpim5gapimaps5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Maps service API
 This package is part of libkgapi.

Package: libkpim5gapitasks5
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Google Tasks service API
 This package is part of libkgapi.

Package: libsasl2-modules-kdexoauth2
Architecture: any
Multi-Arch: same
Depends: libkpim5gapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:18.07.70)
Replaces: kdepim-runtime (<< 4:18.07.70)
Provides: ${ABI:VirtualPackage},
Description: library to integrate with Cyrus SASL
 This package is part of libkgapi.

## libkgapi 24.08.2

=== debian/changelog ===
libkgapi (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Nov 2024 11:32:29 -0500

libkgapi (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:02:42 +0200

libkgapi (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake and new binary
    packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 12:12:42 +0200

libkgapi (24.05.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.05.2).
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake and new binary
    packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Jul 2024 15:22:05 +0200

=== debian/control ===
Source: libkgapi
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.3.0~),
               libkf6calendarcore-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.3.0~),
               libkf6wallet-dev (>= 6.3.0~),
               libsasl2-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/libkgapi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi
Rules-Requires-Root: no

Package: libkgapi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Google API library for KDE -- data files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains data files.

Package: libkgapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6calendarcore-dev (>= 6.3.0~),
         libkf6contacts-dev (>= 6.3.0~),
         libkpim6gapiblogger6 (= ${binary:Version}),
         libkpim6gapicalendar6 (= ${binary:Version}),
         libkpim6gapicore6 (= ${binary:Version}),
         libkpim6gapidrive6 (= ${binary:Version}),
         libkpim6gapilatitude6 (= ${binary:Version}),
         libkpim6gapimaps6 (= ${binary:Version}),
         libkpim6gapipeople6 (= ${binary:Version}),
         libkpim6gapitasks6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkpim6gapiblogger6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Blogger service API
 This package is part of libkgapi.

Package: libkpim6gapicalendar6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Calendar service API
 This package is part of libkgapi.

Package: libkpim6gapicore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: core library to integrate with Google service APIs
 This package is part of libkgapi.

Package: libkpim6gapidrive6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Drive service API
 This package is part of libkgapi.

Package: libkpim6gapilatitude6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Latitude service API
 This package is part of libkgapi.

Package: libkpim6gapimaps6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Maps service API
 This package is part of libkgapi.

Package: libkpim6gapipeople6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google People service API
 This package is part of libkgapi.

Package: libkpim6gapitasks6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Tasks service API
 This package is part of libkgapi.

Package: libsasl2-modules-kdexoauth2
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Cyrus SASL
 This package is part of libkgapi.
